This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1005176 - Trademark and non-free logo problem
Trademark and non-free logo problem
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: faenza-icon-theme (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-09-06 07:14 EDT by mejiko
Modified: 2013-09-22 20:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: gtk-equinox-engine-1.50-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 05:58:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-09-06 07:14:56 EDT
Hello.

faenza-icon-theme included trademark'ed and non-free icons.

E.g, Ubuntu, skype, steam, sun-java, Linux Distros logo, adobe, twitter, etc...

This is trademark problem, and I think that this logos is copyrightable.
Its non-free.

Note: permit freely trademark use logo included. (E.g Debian)


Suggests:

1. remove trademark'ed and non-free icons

2. replace fedora free (fedora acceptable licensed) icons.

3. remove fedora repos.


Thanks.


Reference:

http://www.debian.org/logos/
http://www.debian.org/trademark
Comment 1 mejiko 2013-09-06 07:15:35 EDT
Blocking FE-Legal, This is trademark and license problem.
Comment 2 Felix Kaechele 2013-09-06 08:03:25 EDT
Actually I hadn't noticed that there were copyrighted logos in this pack because I never used the applications they symbolize.
But I clearly see the issue here. In fact, when I think about it the icon pack most likely also violates the Fedora Logo Usage Guidelines.
If this indeed turns out to be an copyright/guideline issue I'd opt for dropping the Faenza Icon theme from Fedora at once.
I'm not interested in putting in the effort to "liberate" this icon set.
Comment 3 Tom "spot" Callaway 2013-09-06 10:58:07 EDT
That's fine. Go ahead and retire and block this then.

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 4 Felix Kaechele 2013-09-07 05:58:53 EDT
Thanks for bringing this issue up.

Package has now been retired and blocked (i.e. removed from Fedora).
Comment 5 mejiko 2013-09-07 06:33:24 EDT
This bug is affected mate-icon-theme-faenza and kfaenza-icon-theme.

See bug 1005466 and bug 1005464.
Comment 6 Fedora Update System 2013-09-09 17:08:31 EDT
gtk-equinox-engine-1.50-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gtk-equinox-engine-1.50-8.fc20
Comment 7 Germán Racca 2013-09-10 00:14:46 EDT
Why not removing the offending icons from the package instead of retiring it?
Comment 8 Felix Kaechele 2013-09-10 20:52:39 EDT
Because I'm not interested in maintaining the list of icons that need to be removed and creating the corresponding tarball (so that we don't host copyrighted material on Fedora mirrors) for every release. For me personally it's just not worth the effort as I have stopped using this icon set.

If you are interested in doing this you can grab maintainer status for this package as per http://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

This package would then definitely need a re-review to check if it is completely clean of copyrighted items. A task which I'm also not eager doing.
Comment 9 Germán Racca 2013-09-10 21:11:35 EDT
I was just asking. Thanks for your information.
Comment 10 Fedora Update System 2013-09-22 20:31:57 EDT
gtk-equinox-engine-1.50-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.